from parallels.core.utils.entity import Entity


class Webapp(Entity):
    def __init__(self, webapp_id, domain_service_id):
        self._webapp_id = webapp_id
        self._domain_service_id = domain_service_id

    @property
    def webapp_id(self):
        """
        :rtype: str | unicode
        """
        return self._webapp_id

    @property
    def domain_service_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_service_id
